Subject: Re: [1/2 PATCH] git-svn: make multi-init less confusing

From: David Kågedal <[email-masked]>
Date: Mon, 08 Jan 2007 14:11:21 +0100

David Kågedal <[email-masked]> writes:

> Seth Falcon <[email-masked]> writes:
>
>> David Kågedal <[email-masked]> writes:
>>> Now if you could only clarify the documentation of dcommit to explain
>>> whether it creates one svn revision per commit in your branch, or if
>>> it creates a single svn revision with the full diff, and the
>>> documentation would be perfect :-)
>>
>> dcommit creates one svn rev for each commit listed by:
>>
>>    git log remotes/git-svn..HEAD
>
> So if I want to commit a different subset, is that possible?  In my
> case, I have a "master" branch with a few changes on top of git-svn
> that I never want to commit to svn.  So what I want is to commit
> "master..HEAD".  Can I do that with dcommit?  It seems that "git svn
> set-tree master..HEAD" might do the trick.

I tried set-tree now, and all I got was a perl crash:

morpheus% git svn set-tree master..
diff-tree 8dba2b29df78184fef96bbbf9521387846b140b3 b5561ab7309e9b7b3acfacaa786358e7d90665c6
        A       .gitignore
... more files
Use of uninitialized value in concatenation (.) or string at /usr/lib/perl5/SVN/Core.pm line 579.
Malformed file:  at /usr/local/bin/git-svn line 459

This is git f4bf2184ae8b79f95b9f56c1ea5455d04e559299 from Jan 1.

Perl is v5.8.8 (Ubunty edgy)

-- 
David Kågedal